<?php

require_once ('../app/model/db.class.php');
require_once('../dompdf/dompdf_config.inc.php');
require_once ('../dompdf/www/functions.inc.php');

require_once ('../app/model/bs_info_col.php');

function nombremes($mes){
date_default_timezone_set("America/Bogota");
$nombre=strftime("%B",mktime(0, 0, 0, $mes, 1, 2000));
return $nombre;
}

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".00";
     }


     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}




$codigo =$_REQUEST['codigo'];


    //---------- LEYENDA --------------
    
     $obj = new database();
     $obj->conectar(); $obj->consulta("set names 'utf8'");
     
     
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&aacute;', '&aacute;')"); 
         
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&eacute;', '&eacute;')");  
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&iacute;', '&iacute;')");  
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&oacute;', '&oacute;')");    
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&uacute;', '&uacute;')");     
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&ntilde;', '&ntilde;')");                            
    
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&aacute;', '&Aacute;')");       
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&eacute;', '&Eacute;')");   
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&iacute;', '&Iacute;')");   
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&oacute;', '&Oacute;')");   
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&uacute;', '&Uacute;')");    
     $obj->consulta("UPDATE constancia SET leyenda = REPLACE(leyenda, '&ntilde;', '&Ntilde;')");    
    
     $leyenda=$obj->consulta("select * from constancia");

     $row15=$obj->fetch_assoc($leyenda);


    //--------------------------------------

$html="
<html>
<head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'>
<title>CERTIFICADO FINAL</title>
</head>

<body>

</center>
<table width='95%' border='0' align='center'>
<tr align='center'>

<td>
<img height='80' width='80' src='../fotografias/escudo.jpg'/>
</td>

<td width='90%' align='center'><FONT SIZE='3'>
    <b>REPUBLICA DE COLOMBIA<br>
       DEPARTAMENTO DEL CAQUET&Aacute;<br>
       SECRETARIA DE EDUCACI&Oacute;N  MUNICIPAL DE  FLORENCIA</b><br>
       </FONT>
       
       <FONT SIZE='2'><b>
       INSTITUCI&Oacute;N EDUCATIVA
       AGROECOLOGICO AMAZ&Oacute;NICO BUINAIMA</b><br>
       </FONT>";
        
       $registrar=$obj->consulta("select * from registrar");
       $reg=$obj->fetch_assoc($registrar);
       

       $html.="Conformada Decreto No. 0155 del 17-11-2003 <br> Reorganizada Decreto No. 0434 del 25-11-2016<br>".    
       
        $reg['registroeducativo']."<br>
       
       Florencia - Caquet&aacute;
       </FONT>
        
       <br>
       
</td>

<td>
<img height='100' width='80' src='../fotografias/escudo_colombia.png'/>
</td>

</tr>
</table>"; 

$html.="<table id='font'  width='90%'  align='center'>
<tr>
    <td style='font-size:14px'>
    <p align='justify'>".($reg['certificadofinal'])."</p>
    </td>
<tr>
</table>";
    
$html.="<table width='70%' border='0' align='center'>
        <tr><td style='font-size:14px;text-align:center'>  <b>CERTIFICAN</b>  </td></tr>
        </table>";



//------------------------------------------------------------------------------




$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 14px; text-align:justify;'>".($row15['leyenda'])."</td></tr>";
$html.="</table>";



//------------------------------------------------------------------------------


$html.="<br><table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'  align='center'>";
$html.="<tr style='font-size: 12px;'>
           <th  width='60%'>AREAS Y/O ASIGNATURAS</th>
           <th width='5%'>I.H</th>
           <th width='15%'>DEFINITIVA</th>
           <th width='20%'>DESEMPE&Ntilde;O</th>
        </tr>";

     $matri=$obj->consulta("select * from matriculas where codigo='".$codigo."'");

     $r_matri=$obj->fetch_assoc($matri);
     $grado=$r_matri['grado'];
     $curso=$r_matri['curso'];

     $resul_area=$obj->consulta("select areas.codigo, areas.descripcion, notas_finales_areas.definitiva, notas_finales_areas.valor_area
                                 from areas inner join notas_finales_areas on areas.codigo = notas_finales_areas.area
                                 where notas_finales_areas.codigo='".$codigo."' and notas_finales_areas.grado='".$grado."' and notas_finales_areas.grupo='".$curso."' order by areas.orden");

      $s="";

      while($row0 = $obj->fetch_assoc($resul_area)){  //  ---  AREAS  --

             $s.="<tr>";

             $s.="<td style='font-weight:bold;font-size: 12px' width='52%'>&nbsp;".($row0['descripcion'])."</td>";
             
             /* ---Intensidad horaria por Areas  - sumamos la de las asignaturas  */

             $resul_total=$obj->consulta("select sum(intensidad) as i_h from curso_asignatura_profesor inner join notas_finales_asign on (curso_asignatura_profesor.asignatura = notas_finales_asign.asignatura)
                                          and (curso_asignatura_profesor.curso = notas_finales_asign.grupo) and (curso_asignatura_profesor.grado = notas_finales_asign.grado)
                                          where notas_finales_asign.codigo='".$codigo."' and notas_finales_asign.grado='".$grado."' and notas_finales_asign.grupo='".$curso."' and notas_finales_asign.area='".$row0['codigo']."'");

             $row5 = $obj->fetch_assoc($resul_total);

             $s.="<td style='font-weight:bold;text-align:center;font-size: 12px' >".$row5['i_h']."</td>";
              
              // ------- Definitiva ----------
              
              $df=$obj->consulta("select * from notas_finales_areas
                                 where area='".$row0['codigo']."' and grado='".$grado."' and grupo='".$curso."' and codigo='".$codigo."'");

               $nota_df = $obj->fetch_assoc($df);

               $ndf=decimales($nota_df['definitiva']);
 
               $s.="<td style='font-weight:bold;font-size:12px;text-align:center' >".$ndf."</td>    
                    <td style='font-weight:bold;font-size:12px;text-align:center'>".($nota_df['valor_area'])."</td>";


              /* --- Asignaturas que pertenecen a aun area --------*/
        
               $resultado=$obj->consulta("select curso_asignatura_profesor.asignatura, catalogo.descripcion,curso_asignatura_profesor.peso, curso_asignatura_profesor.intensidad
                                          from catalogo inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura
                                          where curso_asignatura_profesor.grado='".$grado."' and curso_asignatura_profesor.curso='".$curso."' and catalogo.area='".$row0['codigo']."'");


               $n=$obj->numero_de_filas($resultado);

                if ($n>1){

                   while($row = $obj->fetch_assoc($resultado)){  //  ---  ASIGNATURAS  --

 
                                                      
                           // -------Nota Final Asign ----------
                           
                           $p5=$obj->consulta("select * from notas_finales_asign
                                                where asignatura='".$row['asignatura']."' and grado='".$grado."' and grupo='".$curso."' and codigo='".$codigo."'");

                           $t=$obj->numero_de_filas($p5);

                            if ($t!=0){

                              $nota_p5 = $obj->fetch_assoc($p5);

                              $np5=decimales($nota_p5['definitiva']);

 
                              $s.="<tr>";
                              $s.="<td style='font-size:14px' width='40%'><font color='white'>__</font><i>".($row['descripcion'])."</i></td>";
                              $s.="<td style='text-align:center;font-size: 14px' >".$row['intensidad']."</td>";
 
                              $s.="<td style='font-size:13px;text-align:center' >".$np5." </td>
                                   <td style='font-size:12px;text-align:center'><i> ".($nota_p5['valor_asigna'])."</i></td>";
                                   
                              $s.="</tr>";
                           }

                    }     //  ---  ASIGNATURAS  --

                 }

                $s.="</tr>";
              }

              $s.="</table>";

               $html.=$s;



$rango=$obj->consulta("SELECT * FROM rangos order by orden");

$html.="<table style='font-size:11px' cellspacing='0' cellpadding='0' border='1' width='90%'  align='center' >";
$html.="<tr>";
$html.="<td>ESCALA DE VALORACI&Oacute;N:</td>";

while($row_r=$obj->fetch_assoc($rango)){
      
      if ($row_r['codigo']!='S'){
          $html.="<td align='center'>".$row_r['descripcion']."&nbsp;(".decimales($row_r['v1'])."&nbsp;-&nbsp;".decimales($row_r['v2']-0.1).")</td>";
      }else{
          $html.="<td align='center'>".$row_r['descripcion']."&nbsp;(".decimales($row_r['v1'])."&nbsp;-&nbsp;".decimales($row_r['v2']).")</td>";
      } 

}
$html.="</tr>";


$prom=$obj->consulta("select * from rendimiento_general where periodo='5' and alumno='".$codigo."'");               
$nota_prom = $obj->fetch_assoc($prom);

$html.="<tr><td>PROMEDIO GENERAL :</td>   <td align='center'>".substr($nota_prom['promedio'], 0, 3)."</td>";
$html.="<td colspan=2>DESEMPE&Ntilde;O GENERAL :</td>  <td align='center'>".$nota_prom['nivel_desempeno']."</td>";
$html.="</tr></table></center>";


                /*-----MUESTRAS LAS HABILITACIONES ----- */

              $habil=$obj->consulta("select codigo, asignatura, habilitacion, valor_habilitacion, area from notas_finales_asign where codigo='".$codigo."' and habilitacion<>'NULL'");

              $s1='';

               if($obj->numero_de_filas($habil) > 0) {
            
                    $s1.="<table align='center' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";
                    $s1.="<tr style='font-weight:bold;font-size: 13px'>  <td>";

                    $s1.="SUPERACIONES: ";
                    while($row = $obj->fetch_assoc($habil)){

                       $asign=$obj->consulta("select * from catalogo where codigo='".$row['asignatura']."'");
                       $row1 = $obj->fetch_assoc($asign);

                       $s1.="(".($row1['descripcion'])." - ".decimales($row['habilitacion'])." - ".$row['valor_habilitacion'].") ";
                    }
                     $s1.="</td></tr></table>";
                     
                     $html.=$s1;
               }


//---- MUESTRA EL ESTADO FINAL DEL ALUMNO ------------

              $estado=$obj->consulta("select estado_final from matriculas where codigo='".$codigo."'");
            
                    $s1="<table align='center' border='0' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";
                    $s1.="<tr style='font-weight:bold;font-size: 12px'>  <td>";


                     $row_e = $obj->fetch_assoc($estado);

                     $s1.=($row_e['estado_final']);
                    
                     $s1.="</td></tr></table>";
                     
                     $html.=$s1;


//----------------------------------

$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S&aacute;bado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

$html.="

<table  width='90%'  align='center' id='font'>
    <tr>
        <td style='font-size:14px'>
            El presente certificado no necesita de autenticaci&oacute;n en Notar&iacute;a alguna ni VoBo del Delegado
            de MEN, en virtud de los decretos 1024/82 y 1789/88, respectivamente.
            
             <br><br>
             Dado en Florencia - Caquet&aacute;, el d&iacute;a ". $dias[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y') .".
        </td>
    </tr>

</table>

<br>";

//------------------------------------------------------------------------------------------------

if ($r_matri['grado']<10){
    $html.="<br><br>";
}

     $param=$obj->consulta("select * from parametros");
     $row=$obj->fetch_assoc($param);



$obj->disconnect();


$html.="<br><br><table width='85%' border='0' align='center'>";
$html.="<tr><td><hr width='90%'></td>    <td><hr width='90%'></td></tr>";

$html.="<tr><td style='font-size: 14px; text-align:center;'><b>".($row['rector'])."</b></td>     
            <td style='font-size: 14px; text-align:center;'><b>".($row['secretario'])."</b></td></tr>";

$html.="<tr><td style='font-size: 14px; text-align:center;'>".($row['cedula_rector'])."</td>     
            <td style='font-size: 14px; text-align:center;'>".($row['cedula_secretario'])."</td></tr>";

$html.="<tr><td style='font-size: 12px; text-align:center;'><b>RECTOR</b></td>     
            <td style='font-size: 12px; text-align:center;'><b>SECRETARIO</b></td></tr>";

$html.="</table>";  




$html.="<br><table width='100%' align='center'>";
$html.="<tr>";
$html.="<td style='font-size:10px; text-align:center;'>____________________________________________________________________________________________________________________</td>";
$html.="</tr><tr><td style='font-size:12px; text-align:center;'><i>\"CONSERVAR EL ECOSISTEMA RESPONSABILIDAD DE TODOS\"</i></td>";
$html.="</tr><tr><td style='font-size:11px; text-align:center;'>Ciudadela Habitacional siglo XII Mz. 124 Florencia Caquet&aacute; Tel&eacute;fonos 3102094811_3102098077_3204775048</td>";
$html.="</tr></table>";


$html.="</body></html>";


$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('a4', 'portrait');
$dompdf->render();

$dompdf->stream($codigo.".pdf", array("Attachment" => false));


?>
